5 Replies Latest reply on Nov 19, 2002 12:49 PM by bob bob

    JBoss NT service error

    bob bob Newbie

      New to JBoss and in need of a hand...

      I am running jdk v1.4.1
      I installed the binary version of jboss-3.0.4 with Tomcat-4.1.12

      I'm using this guide:
      http://belnet.dl.sourceforge.net/sourceforge/jboss/JBoss.3.0QuickStart.Draft3.pdf

      I run the run.bat file to startup JBoss:
      http://localhost:8080 - brings up an error
      http://localhost:8082 - the page does not get displayed
      http://localhost:8080/jmx-console - brings up the JBoss admin ...so I think JBoss is running?

      Now I go to: http://www.alexandriasc.com/software/JavaService/documentation.html to try install it as an NT service.
      I download and extract JavaService-bin-1.2.0.zip
      Create the batch file as the quichstart guide explains
      start it from the cmd prompt by typing:
      "jboss30.bat D:\jdk1.4.1 D:\jboss-3.0.4_tomcat-4.1.12 server"
      JBoss30 now appears in my list of services

      When I go to my list of NT services and try start JBoss30 service. I get an error message as follows:
      Could not start JBoss30 service on local computer. The service did not return an error. This could be an internal Windows error or an internal service error.

      Can anyone please tell me what the problem is??

        • 1. Re: JBoss NT service error
          James Moring Newbie

          If you can try, using JDK 1.3.1 or the latest in the 1.3.X line. I have only been able to get JavaService to work with that jdk. I tried both 1.4.1 and JRockit and neither works. Unfortunatly there does not seem to be much activity for this project. E-Mailed questions go unanswered.

          HTH

          • 2. Re: JBoss NT service error
            bob bob Newbie

            Thanks for your reply.

            1) I installed jdk 1.3.1
            2) I uninstalled the service and resinstalled the service again as follows:

            D:\jboss-3.0.4_tomcat-4.1.12\bin>jboss30 uninstall
            The service was successfully uninstalled.
            D:\jboss-3.0.4_tomcat-4.1.12\bin>jboss30.bat D:\jdk1.3.1 D:\jboss-3.0.4_tomcat-4
            .1.12 server
            The service was successfully installed.

            Now it appears back in the list of services, but unfortunatelly it still gives the same error??

            3) My goal is to start Tomcat within the Jboss bundle...Both as services. I'm not sure weather this is the correct approach?

            Please Help!

            • 4. Re: JBoss NT service error
              James Moring Newbie

              Can you post the batch file that you created to install the service. The only thing I can think of is that you are not pointing to a valid jre dll. On the javaservice install command line make sure you are pointing to something like c:\jdk1.3.1\jre\bin\server\jvm.dll.

              • 5. Re: JBoss NT service error
                bob bob Newbie

                I have already uninstalled jdk1.3.1 and installed jdk1.4.1 again.

                I had a look at the thread:
                http://www.jboss.org/modules/bb/index.html?module=bb&op=viewtopic&t=forums/ ran through the second part...
                How to configure JBOSS 3.0.3 with integrated Catalina 4.1.12 as an NT Service.
                It worked and started! Excellent!!

                But my next problem is I try to run a Tomcat example jsp...
                http://localhost:8080/examples/jsp/index.html
                I get a no context error, as follows

                HTTP Status 500 - No Context configured to process this request
                --------------------------------------------------------------------------------
                type Status report

                message No Context configured to process this request

                description The server encountered an internal error (No Context configured to process this request) that prevented it from fulfilling this request.

                --------------------------------------------------------------------------------
                Apache Tomcat/4.1.12-LE-jdk14
                ....

                btw: I'm running Apache webserver with Covalent SSL.

                Any ideas what to do next?